# DataExchange
TKXSBase
XSControl

# XSControl_Vars Class Reference

Defines a receptacle for externally defined variables, each
one has a name
I.E. a WorkSession for XSTEP is generally used inside a
context, which brings variables, especially shapes and
geometries. For instance DRAW or an application engine
This class provides a common form for this. It also provides
a default implementation (locally recorded variables in a
dictionary), but which is aimed to be redefined
.

`#include <XSControl_Vars.hxx>`

## Public Member Functions

Standard_EXPORT | XSControl_Vars ()
virtual Standard_EXPORT void | Set (const Standard_CString name, const Handle(Standard_Transient)&val)
virtual Standard_EXPORT Handle_Standard_Transient | Get (Standard_CString &name) const
virtual Standard_EXPORT Handle_Geom_Geometry | GetGeom (Standard_CString &name) const
virtual Standard_EXPORT Handle_Geom2d_Curve | GetCurve2d (Standard_CString &name) const
virtual Standard_EXPORT Handle_Geom_Curve | GetCurve (Standard_CString &name) const
virtual Standard_EXPORT Handle_Geom_Surface | GetSurface (Standard_CString &name) const
virtual Standard_EXPORT void | SetPoint (const Standard_CString name, const gp_Pnt &val)
virtual Standard_EXPORT void | SetPoint2d (const Standard_CString name, const gp_Pnt2d &val)
virtual Standard_EXPORT Standard_Boolean | GetPoint (Standard_CString &name, gp_Pnt &pnt) const
virtual Standard_EXPORT Standard_Boolean | GetPoint2d (Standard_CString &name, gp_Pnt2d &pnt) const
virtual Standard_EXPORT void | SetShape (const Standard_CString name, const TopoDS_Shape &val)
virtual Standard_EXPORT TopoDS_Shape | GetShape (Standard_CString &name) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dico_DictionaryOfTransient | thevars

## Constructor & Destructor Documentation

Standard_EXPORT XSControl_Vars::XSControl_Vars | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Standard_Transient XSControl_Vars::Get | ( | Standard_CString & | name | ) | const`[virtual]`

virtual Standard_EXPORT Handle_Geom_Curve XSControl_Vars::GetCurve | ( | Standard_CString & | name | ) | const`[virtual]`

virtual Standard_EXPORT Handle_Geom2d_Curve XSControl_Vars::GetCurve2d | ( | Standard_CString & | name | ) | const`[virtual]`

virtual Standard_EXPORT Handle_Geom_Geometry XSControl_Vars::GetGeom | ( | Standard_CString & | name | ) | const`[virtual]`

virtual Standard_EXPORT Standard_Boolean XSControl_Vars::GetPoint | ( | Standard_CString & | name,
|  | gp_Pnt & | pnt
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Boolean XSControl_Vars::GetPoint2d | ( | Standard_CString & | name,
|  | gp_Pnt2d & | pnt
| ) | const`[virtual]`

virtual Standard_EXPORT TopoDS_Shape XSControl_Vars::GetShape | ( | Standard_CString & | name | ) | const`[virtual]`

virtual Standard_EXPORT Handle_Geom_Surface XSControl_Vars::GetSurface | ( | Standard_CString & | name | ) | const`[virtual]`

Standard_EXPORT const XSControl_Vars::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void XSControl_Vars::Set | ( | const Standard_CString | name,
|  | const Handle(Standard_Transient)& | val
| ) | `[virtual]`

virtual Standard_EXPORT void XSControl_Vars::SetPoint | ( | const Standard_CString | name,
|  | const gp_Pnt & | val
| ) | `[virtual]`

virtual Standard_EXPORT void XSControl_Vars::SetPoint2d | ( | const Standard_CString | name,
|  | const gp_Pnt2d & | val
| ) | `[virtual]`

virtual Standard_EXPORT void XSControl_Vars::SetShape | ( | const Standard_CString | name,
|  | const TopoDS_Shape & | val
| ) | `[virtual]`

## Field Documentation

Handle_Dico_DictionaryOfTransient XSControl_Vars::thevars `[private]`

The documentation for this class was generated from the following file:

- XSControl_Vars.hxx